jQuery(function($){
	
	$("#CopiarPlanGPlanesGestion_detail_button_save").bind("click",function(event){
		crearCopiaPlanG();
	});	
	
	$("#CopiarPlanGPlanesGestion_detail_link_cancel").bind("click",function(event){
		$("#divCopiarAltaPlanG_Dialog").rup_dialog("close");
	});	
	
	
	var properties = {
			type: "error",
			gotoTop: false,
			block: false,
			closeLink: true
		}
	$("#CopiarPlanGPlanesGestion_detail_feedback").rup_feedback (properties);
	
	
	$("#CopiarPlanGPlanesGestion_detail_form").rup_validate({
		rules: {
				"anyo":{
					required: true, digits:true, maxlength:4, minlength:4
				},
				"planesEstrategicos.codplane":{
					required: true
				}
		}
	});
	
	if(solicInfor == 1){
		$(".idiomaEs").hide();
	}else{
		$(".idiomaEs").show();
	}
	
	var codEntidad = entidadObj.codentidad;
	$('#CopiarPlanGplanesestrategicos_detail_table').rup_combo({
		source: $.rup.CTX_PATH + "planesestrategicos/getComboPlanesEs/"+codEntidad,
		sourceParam: {label:"nombreIdiomaAnyo", value:"codplane"},
		blank: "",
		rowStriping: true,
		autocomplete :true
	});
	
	
	//Evento para controlar que se active el campo año cuando se haya seleccionado previamente un plan estrategico
	 $('#CopiarPlanGplanesestrategicos_detail_table').on('change',function(){ 
		 var codSeleccionado = $('#CopiarPlanGplanesestrategicos_detail_table').val();
		 if(codSeleccionado===VACIO){
			 $("[id='CopiarPlanGanyo_detail_table']").prop('readonly', true);
		 }
		 else{
			 $("[id='CopiarPlanGanyo_detail_table']").prop('readonly', false);
			 
			 //Cargar los campos de los años del plan estrategico
			 $.rup_ajax({
					url : $.rup.CTX_PATH + "planesestrategicos/getFechas/"+codSeleccionado,
					contentType : "application/json",
					cache : false,
					dataType : "json",
					type : "GET",
					success : function(response) {
						$('#CopiarPlanGplanesestrategicos_anyoinicio_detail_table').val(response.anyoinicio);
						$('#CopiarPlanGplanesestrategicos_anyofin_detail_table').val(response.anyofin);
					},
					error : function(error) {
						ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorCargaFechasPlanE"]);
					}
				});
		 }
	 });
	
});


function crearCopiaPlanG(){
	
	if(ab39aUtils.form.validate($("#CopiarPlanGPlanesGestion_detail_form"),$("#CopiarPlanGPlanesGestion_detail_feedback"))){
		$.rup_messages("msgConfirm", {
			message: $.rup.i18n.app.campos_tabla_planes_gestion.copiarPlanG,
			title: $.rup.i18n.app.campos_tabla_planes_gestion.copiarPlanGTitulo,
			OKFunction : function () {
				 var planesGestion = 
				 	{
						codplang: $("#CopiarPlanGcodplang_detail_table").val(),
						planesEstrategicos:{
							codplane : $("#CopiarPlanGplanesestrategicos_detail_table").val(),
							anyoinicio : $("#CopiarPlanGplanesestrategicos_anyoinicio_detail_table").val(),
							anyofin : $("#CopiarPlanGplanesestrategicos_anyofin_detail_table").val()
						},
						anyo :  $("#CopiarPlanGanyo_detail_table").val(),
						nombre : $("#CopiarPlanGnombre_detail_table").val(),
						nombreeus :  $("#CopiarPlanGnombreeus_detail_table").val()
						
				 	};
				 
				$.rup_ajax({
					url : $.rup.CTX_PATH + "planesgestion/crearcopiaplang",
					contentType : "application/json; charset=utf-8",
					cache : false,
					data: JSON.stringify(planesGestion),
					dataType: "json",
					type : "POST",
					success : function(response) {
						
						$("#CopiarPlanG").rup_table("reloadGrid",false);
						$("#PlanesGestion").rup_table("reloadGrid",false);
						$("#divCopiarAltaPlanG_Dialog").rup_dialog("close");
						//$('#divCopiarAltaPlanE_Dialog').rup_dialog("destroy");
						window.location = $.rup.CTX_PATH + "elementosArbol/arbol/detalle/" + response.codplang + "/PG/0/0";
					},
					error : function(error) {
						
						$("#CopiarPlanGPlanesGestion_detail_feedback").rup_feedback("set", error.responseText, "error");
						
					}
				});
				
				
			}
		});
		
	} 
}